{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if and .Values.apps.nubus.enabled .Values.clientIntents.enabled }}
---
apiVersion: {{ .Values.clientIntents.apiVersion | quote }}
kind: "ClientIntents"
metadata:
  name: "{{ include "common.names.fullname" . }}-opendesk-keycloak-bootstrap"
  namespace: {{ .Values.apps.nubus.namespace | default .Release.Namespace | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  {{- if .Values.additionalAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.additionalAnnotations "context" . ) | nindent 4 }}
  {{- end }}
spec:
  service:
    name: "opendesk-keycloak-bootstrap"
  calls:
    - name: {{ printf "%s.%s" "ums-keycloak" (coalesce .Values.apps.nubus.namespace .Release.Namespace) | quote }}
...
{{- end }}
